> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/common/menu-item.md).

# Menu Item

The `MenuItem` object represents the predefined information of an item within a menu

## Available fields

| Field             | Type                                                                                  | Description                                                                                                      |
| ----------------- | ------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| `id`              | ID                                                                                    | A base64-encoded version of the `databaseId`                                                                     |
| `restaurantId`    | String                                                                                | Restaurant ID                                                                                                    |
| `restaurantName`  | String                                                                                | Restaurant name where the menu is found                                                                          |
| `createdAt`       | DateTime                                                                              | Date and time when the menu was created                                                                          |
| `updatedAt`       | DateTime                                                                              | Date and time when the menu was updated                                                                          |
| `menu`            | String                                                                                | Name of the menu                                                                                                 |
| `sectionName`     | String                                                                                | Section name                                                                                                     |
| `name`            | String                                                                                | Name of the item in the menu                                                                                     |
| `isActive`        | Boolean                                                                               | **True** if the item is active in the menu. Otherwise is **false**                                               |
| `description`     | String                                                                                | Description of the menu item                                                                                     |
| `minPrice`        | Float                                                                                 | Minimum price of the menu item                                                                                   |
| `maxPrice`        | Float                                                                                 | Maximum price of the menu item                                                                                   |
| `language`        | String                                                                                | Menu item language                                                                                               |
| `course`          | String                                                                                | Name of the course menu item. Possible Values: Main dishes, Side Dishes, Appetizers, Salads                      |
| `ingredients`     | [Ingredients](https://docs.suggestic.com/graphql/objects/food-logs/ingredients)       | An object that retrieves the ingredients information.                                                            |
| `adherence`       | [Adherence](https://docs.suggestic.com/graphql/objects/common/adherence)              | Object contains details about an item's [Adherence Score](/graphql/start-here/core-concepts/adherence-score.md). |
| `nutritionalInfo` | [nutritionalInfo](https://docs.suggestic.com/graphql/objects/recipe/nutritional-info) | Object contains the nutritional values of the associated food per each gram of that food.                        |

Use this object in the following:

* [Menu Items](https://docs.suggestic.com/graphql/query/queries/restaurants/menu-items)
* [Recommend Menu Items](https://docs.suggestic.com/graphql/query/queries/restaurants/recommend-menu-items)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/common/menu-item.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
